// Typesafe Enum
import java.util.*;

public class MachineList {
	private List list;
	public MachineList() {
		list = new ArrayList();
	}
	public void add(MachineComponent c) {
		list.add(c);
	}
	public MachineComponent get(int idx) {
		return (MachineComponent)list.get(idx);
	}
	public int size() {
		return list.size();
	}
	
	public MachineIterator iterator() {
		return new MachineIterator(list.iterator());
	}
	
}
